Collaborate forum
cancel
Showing results for 
Search instead for 
Did you mean: 

3DS Import

stefan
Booster
I used to be able to import OBJ-files into ArchiCAD with surface smoothing intact.

http://www2.asro.kuleuven.ac.be/asro/English/HOME/SBs/tutorial/tips/viz2ac.htm
(Explained with 3DStudio VIZr3, but this will work in Maya as well, since Alias|Wavefront was the inventor of the OBJ-format).

AFAIK, ArchiCAD 8.x doesn't read OBJ-files anymore

Another solution, slightly worse, but better then DXF for that matter is importing it as a 3ds-file (Maya should be able to do that, you might need to download some translator-plugins, though).

This 3ds-import was once mailed to me by some German ArchiCAD user and I can send the full plugin to you if you want (it was free, so I don't think I break any copyrights here).
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino7/Unity2021/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998
39 REPLIES 39

Anonymous
Not applicable
Thanx for the link but for some reason archicad doesn't like the plugin, quote "The file is an outdated Add-on that cannot be used with this Archicad virsion" possibly this plugin was for 7 and not compatible with 8?

stefan
Booster
I also have a version for ArchiCAD 7

(The 8-version might be for 8.0 and thus not compatible with 8.1?)
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino7/Unity2021/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998

Djordje
Advisor
stefan wrote:
(The 8-version might be for 8.0 and thus not compatible with 8.1?)
Yep, that is the case. Regretfully.

This import API should be standard!!!!!
Djordje



ArchiCAD since 4.55 ... 1995
HP Omen

Anonymous
Not applicable
How could one import 3ds in Archicad

Anonymous
Not applicable
for 7

Anonymous
Not applicable
what do you mean "for 7" ?

Anonymous
Not applicable
for AC7

Anonymous
Not applicable

Anonymous
Not applicable
please help me out!
I am a new learner for ArchiCAD.
I downlard the folder that you attach, but I still don't know how to use. :oops: Do I just import into the library manager? then I can use .3ds object?

Anonymous
Not applicable
thank you! but I still don't know how to import .3ds or .dwg file into ArchiCAD. could you teach me step by step?
Thank you

stefan
Booster
Put the Add-on (3ds_in.apx file) into:
C:\Program Files\ArchiCAD\Add-Ons\ (or something similar)

It will be loaded when booting ArchiCAD. I don't remember the exact procedure anymore, since it doesn't work on my version 8.1 ...

From the help file:
Suchen Sie nach dem Befehl "3ds zum GDL Objekt..." unter dem Menü "Extras".

Search for the command "3ds zum GDL Objekt..." underneath the Extras-menu.
It'll turn a 3DS-file into a GDL-object.
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino7/Unity2021/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998

Stefan,

None of those plugins work at all with either AC v7 or 8. It says that they are outdated ot not meant for that specific version of ArchiCAD. Perhaps you might ask your german friend about a bug free copy.

stefan
Booster
Bricklyne wrote:
Stefan,

None of those plugins work at all with either AC v7 or 8. It says that they are outdated ot not meant for that specific version of ArchiCAD. Perhaps you might ask your german friend about a bug free copy.
I don't have 7.0 and don't use 8.0 anymore, so I can't help you. The plugins are not compatible when the API (the plugin programming part) changes between versions.
For what it's worth, if you need it so bad, try to install an older ArchiCAD version and do the conversion there. Different ArchiCAD versions can exist on the same computer without too much trouble.
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino7/Unity2021/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998

You completely misunderstood me,

What I had meant to convey to you was the fact that the plugins do not work when used with ArchiCAD version 8.0 (for the v8 one) nor with version 7.0 (for the v7 one) . I have all three versions of ArchiCAD installed in my computer (from v7-8.1). I never tried to use them with v8.1 because I already knew that they wouldn't work!!
I was also not trying to place the blame for ArchiCAD's lack of API retro-compatibility on you. I was merely responding to the fact that you repeatedly kept touting those plugins as a solution to importing 3ds objects into ArchiCAD when it seems from your recent posts that you do not even have any idea if they work at all. You said that you only have version 8.1 of ArchiCAD and so couldn't verify if they worked with the previous versions.

you said:

"I don't have 7.0 and don't use 8.0 anymore, so I can't help you. The plugins are not compatible when the API (the plugin programming part) changes between versions."

As I said I was merely clarifying the fact that they don't work, and as such it might not be helpful to others to keep mentioning it as a solution. I hope it is clearer this time

As for myself I already achieved what I needed to through Zoom GDL conversion.

stefan
Booster
FWIW, I have used them in the past (on 8.0), so I know that they work, if you use them in the right ArchiCAD version. I never tried the 7.0 version, but others on this list did.
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino7/Unity2021/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998

Djordje
Advisor
Bricklyne wrote:
What I had meant to convey to you was the fact that the plugins do not work when used with ArchiCAD version 8.0 (for the v8 one) nor with version 7.0 (for the v7 one) . I have all three versions of ArchiCAD installed in my computer (from v7-8.1). I never tried to use them with v8.1 because I already knew that they wouldn't work!!
Hmmm ... could it be the version? US vs Int vs Ger vs Can vs Whatever?

Don't shoot the messenger
Djordje



ArchiCAD since 4.55 ... 1995
HP Omen

I used the right ArchiCAD version in both cases and I do know what Im talking about despite your implications to the contrary. Besides which I'm not the only person that had problems with them.
keithg wrote:
Thanx for the link but for some reason archicad doesn't like the plugin, quote "The file is an outdated Add-on that cannot be used with this Archicad virsion" possibly this plugin was for 7 and not compatible with 8?
This was after he downloaded the v8 llugin with his v8 ArchiCAD and before you posted the v7 plugin as well. So it was not a version compatibility problem with him either. FYI I got the same message in both versions of ArchiCAD, 7 and 8 with their respective plugin versions. I believe there is yet another person in the forum who also reported the same, although I can't seem to find their post or recal their name at the moment. So it's not just me!

If they worked for you then I don't know under what conditions that may have been in.

In any case as I mentioned before it is a moot point for me because I already have the solution I needed. I was merely pointing it out for the benefit of others. If you are still so convinced about it why not check with a third party who might still have ArchiCAD version 7 or 8, since you perpetually seem to believe and imply that I dont know what I'm doing.

Djordje wrote:
Bricklyne wrote:
What I had meant to convey to you was the fact that the plugins do not work when used with ArchiCAD version 8.0 (for the v8 one) nor with version 7.0 (for the v7 one) . I have all three versions of ArchiCAD installed in my computer (from v7-8.1). I never tried to use them with v8.1 because I already knew that they wouldn't work!!
Hmmm ... could it be the version? US vs Int vs Ger vs Can vs Whatever?

Don't shoot the messenger

Now that's a real possibility!! Something we (or at least I) never thought about. Good thinking Djorde!!!

Perhaps you might also want to let Stefan in on that last line.

stefan
Booster
Bricklyne wrote:
Djordje wrote:
Don't shoot the messenger
Now that's a real possibility!! Something we (or at least I) never thought about. Good thinking Djorde!!!
Perhaps you might also want to let Stefan in on that last line.
I don't like the tone this discussion is getting...
--- stefan boeykens --- architect-engineer-musician ---
ARCHICAD25/Revit2022/Rhino7/Unity2021/Solibri
MBP2019:i9Octo2.4GHz32GBVega20/BigSur+Win11
ARCHICAD-user since 1998

Start a new conversation!

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!